-1

I missed upgrading my current Ubuntu 15.10 to the latest release. Now its end of life if I am not wrong. How to upgrade now to the latest one?

Please see the exact status of my system below:

ravi@ravi-Aspire-5315:~$  ubuntu-support-status
Support status summary of 'ravi-Aspire-5315':

You have 1909 packages (91.7%) supported until July 2016 (9m)
You have 16 packages (0.8%) supported until April 2017 (9m)

You have 0 packages (0.0%) that can not/no-longer be downloaded
You have 156 packages (7.5%) that are unsupported

Run with --show-unsupported, --show-supported or --show-all to see more details
ravi@ravi-Aspire-5315:~$ 

Also I didn't update my system since a long time and software updater shows 339 MB to be downloaded as security updates and other updates.

EDIT#1


I followed the link as provided in the comment to my question. 1st I ran the below command to change archive.ubuntu.com to old-releases.ubuntu.com

sudo sed -i -re 's/([a-z]{2}\.)?archive.ubuntu.com|security.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list

But when I try to update, I get the below error of 404 Not Found

ravi@ravi-Aspire-5315:~$ sudo apt-get update
Ign http://old-releases.ubuntu.com wily InRelease                                                              
Hit http://archive.canonical.com wily InRelease
Ign http://old-releases.ubuntu.com wily-updates InRelease
Ign http://old-releases.ubuntu.com wily-backports InRelease
Ign http://old-releases.ubuntu.com wily-security InRelease
Ign http://old-releases.ubuntu.com wily Release.gpg
Hit http://archive.canonical.com wily/partner Sources
Ign http://old-releases.ubuntu.com wily-updates Release.gpg  
Hit http://archive.canonical.com wily/partner i386 Packages
Ign http://old-releases.ubuntu.com wily-backports Release.gpg
Hit http://archive.canonical.com wily/partner Translation-en
Ign http://old-releases.ubuntu.com wily-security Release.gpg
Ign http://old-releases.ubuntu.com wily Release
Ign http://old-releases.ubuntu.com wily-updates Release
Ign http://old-releases.ubuntu.com wily-backports Release
Ign http://old-releases.ubuntu.com wily-security Release
Err http://old-releases.ubuntu.com wily/main Sources                                                                                
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily/restricted Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily/universe Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily/multiverse Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily/main i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily/restricted i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily/universe i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily/multiverse i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Ign http://old-releases.ubuntu.com wily/main Translation-en_IN
Ign http://old-releases.ubuntu.com wily/main Translation-en
Ign http://old-releases.ubuntu.com wily/multiverse Translation-en_IN
Ign http://old-releases.ubuntu.com wily/multiverse Translation-en
Ign http://old-releases.ubuntu.com wily/restricted Translation-en_IN
Ign http://old-releases.ubuntu.com wily/restricted Translation-en
Ign http://old-releases.ubuntu.com wily/universe Translation-en_IN
Ign http://old-releases.ubuntu.com wily/universe Translation-en
Err http://old-releases.ubuntu.com wily-updates/main Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-updates/restricted Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-updates/universe Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-updates/multiverse Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-updates/main i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-updates/restricted i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-updates/universe i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-updates/multiverse i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Ign http://old-releases.ubuntu.com wily-updates/main Translation-en_IN
Ign http://old-releases.ubuntu.com wily-updates/main Translation-en
Ign http://old-releases.ubuntu.com wily-updates/multiverse Translation-en_IN
Ign http://old-releases.ubuntu.com wily-updates/multiverse Translation-en
Ign http://old-releases.ubuntu.com wily-updates/restricted Translation-en_IN
Ign http://old-releases.ubuntu.com wily-updates/restricted Translation-en
Ign http://old-releases.ubuntu.com wily-updates/universe Translation-en_IN
Ign http://old-releases.ubuntu.com wily-updates/universe Translation-en
Err http://old-releases.ubuntu.com wily-backports/main Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-backports/restricted Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-backports/universe Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-backports/multiverse Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-backports/main i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-backports/restricted i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-backports/universe i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-backports/multiverse i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Ign http://old-releases.ubuntu.com wily-backports/main Translation-en_IN
Ign http://old-releases.ubuntu.com wily-backports/main Translation-en
Ign http://old-releases.ubuntu.com wily-backports/multiverse Translation-en_IN
Ign http://old-releases.ubuntu.com wily-backports/multiverse Translation-en
Ign http://old-releases.ubuntu.com wily-backports/restricted Translation-en_IN
Ign http://old-releases.ubuntu.com wily-backports/restricted Translation-en
Ign http://old-releases.ubuntu.com wily-backports/universe Translation-en_IN
Ign http://old-releases.ubuntu.com wily-backports/universe Translation-en
Err http://old-releases.ubuntu.com wily-security/main Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-security/restricted Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-security/universe Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-security/multiverse Sources
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-security/main i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-security/restricted i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-security/universe i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Err http://old-releases.ubuntu.com wily-security/multiverse i386 Packages
  404  Not Found [IP: 91.189.88.17 80]
Ign http://old-releases.ubuntu.com wily-security/main Translation-en_IN
Ign http://old-releases.ubuntu.com wily-security/main Translation-en
Ign http://old-releases.ubuntu.com wily-security/multiverse Translation-en_IN
Ign http://old-releases.ubuntu.com wily-security/multiverse Translation-en
Ign http://old-releases.ubuntu.com wily-security/restricted Translation-en_IN
Ign http://old-releases.ubuntu.com wily-security/restricted Translation-en
Ign http://old-releases.ubuntu.com wily-security/universe Translation-en_IN
Ign http://old-releases.ubuntu.com wily-security/universe Translation-en
W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily/main/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily/restricted/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily/universe/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily/multiverse/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily/main/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily/universe/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-updates/main/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-updates/restricted/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-updates/universe/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-updates/multiverse/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-updates/main/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-updates/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-updates/universe/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-updates/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-backports/main/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-backports/restricted/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-backports/universe/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-backports/multiverse/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-backports/main/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-backports/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-backports/universe/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-backports/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-security/main/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-security/restricted/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-security/universe/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-security/multiverse/source/Sources  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-security/main/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-security/restricted/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-security/universe/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/wily-security/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.88.17 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.
ravi@ravi-Aspire-5315:~$ 
  • @ElderGeek please look at my edit in the Q. I followed the link you provided but getting error. – Ravi Aug 1 '16 at 18:54
  • I had similar problems. Fortunately in my case /home is on a seperate partition? Please provide the output of mount and I'll write you an answer based on your environment. Or as it states in the answer I linked "Sometimes, it might be faster to create backups of your system and reinstall using supported release instead." – Elder Geek Aug 3 '16 at 2:35
  • @ElderGeek The problem got solved and the detailed discussion can be seen in the comments to the answer provided by Stephen. I edited sources.list file to change archive.ubuntu.com to old-releases.ubuntu.com. After that the problem started as mentioned in the edit. Then I reproduced the default file sources.list by the method mentioned in the comment to the answer. After that all the problem got resolved. I updated my previous system and then successfully upgrated to Ubuntu 16.04. What I feel the problem was that the repository of Ubuntu 15.10 isn't moved to the other server! Is it so? – Ravi Aug 3 '16 at 15:55
  • 1
    I'm glad you got it sorted out. My apologies for not scaling the comment tree. I can't shed any light on whether the 15.10 repository was moved to the other server or not. Sorry. – Elder Geek Aug 3 '16 at 21:40
3

Follow the instructions given in the documentation:

  • Open the "Software & Updates" Setting in System Settings.
  • Select the 3rd Tab called "Updates".
  • Set the "Notify me of a new Ubuntu version" dropdown menu to "For any new version".
  • Press Alt+F2 and type in "update-manager" (without the quotes) into the command box.
  • Software Updater should open up and tell you: New distribution release '16.04 LTS' is available.
  • Click Upgrade and follow the on-screen instructions.
  • 1
    That should do :) – sjsam Aug 1 '16 at 16:25
  • 1
    @Ravi : Worth checking [ this ]. – sjsam Aug 1 '16 at 16:31
  • 2
    @Ravi quite possibly, it's a good idea to update everything anyway before trying to upgrade to a newer release. – Stephen Kitt Aug 1 '16 at 16:32
  • 1
    @Ravi is it that if I update....then it will show me the new release? It should.. – sjsam Aug 1 '16 at 16:33
  • 1
    @Ravi : IIUC, end of life should stop you from receiving certain updates. most importantly security updates. Indirectly it is the other way of saying 'hey why not upgrade to the next supported release'? – sjsam Aug 1 '16 at 16:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.